error: orphan tag already exists during import

Bug #1733856 reported by Andreas Hasenack on 2017-11-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usd-importer
Undecided
Nish Aravamudan

Bug Description

I was testing the fix for bug #1730778 with the proposed branch. I tried to import lockfile-progs like this:

$ git-ubuntu import -v --no-push -d lockfile-progs-git-repo lockfile-progs 2>&1 | tee log.lockfile-progs

that hit this error:
11/22/2017 12:43:30 - DEBUG:Creating tag importer/orphan/0.1.13 pointing to 5f672c4d413c5c8395a8361a273051e7f52a4993
11/22/2017 12:43:30 - DEBUG:Executing: git tag -a -m "git-ubuntu import v0.6.2" importer/orphan/0.1.13 5f672c4d413c5c8395a8361a273051e7f52a4993
11/22/2017 12:43:30 - ERROR:Command exited 128: git tag -a -m "git-ubuntu import v0.6.2" importer/orphan/0.1.13 5f672c4d413c5c8395a8361a273051e7f52a4993
11/22/2017 12:43:30 - ERROR:stdout:
11/22/2017 12:43:30 - ERROR:stderr: fatal: tag 'importer/orphan/0.1.13' already exists

Traceback (most recent call last):
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 1446, in import_publishes
    ubuntu_sinfo=ubuntu_sinfo,
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 1224, in import_unapplied_spi
    upload_parent_commit,
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 572, in commit_unapplied_patches_import
    None,
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 552, in _commit_import
    tag, commit_hash
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/git_repository.py", line 1259, in git_run
    return run(['git'] + args, env=combined_env, **kwargs)
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/run.py", line 85, in run
    raise e
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/run.py", line 64, in run
    stdout=stdout, stderr=stderr, stdin=stdin)
  File "/usr/lib/python3.6/subprocess.py", line 418, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['git', 'tag', '-a', '-m', 'git-ubuntu import v0.6.2', 'importer/orphan/0.1.13', '5f672c4d413c5c8395a8361a273051e7f52a4993']' returned non-zero exit status 128.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/ubuntu/git/projects/usd-importer/bin/git-ubuntu", line 22, in <module>
    main()
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/__main__.py", line 243, in main
    sys.exit(args.func(args))
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 1569, in cli_main
    retry_backoffs=args.retry_backoffs,
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 334, in main
    allow_applied_failures=allow_applied_failures,
  File "/home/ubuntu/git/projects/usd-importer/gitubuntu/importer.py", line 1461, in import_publishes
    raise GitUbuntuImportError(msg) from e
gitubuntu.importer.GitUbuntuImportError: Unable to import patches-unapplied 0.1.13 to debian
11/22/2017 12:43:30 - INFO:Leaving /home/ubuntu/deb/lockfile-progs-git-repo as directed

Full session attached and in http://pastebin.ubuntu.com/26019672/

Related branches

Andreas Hasenack (ahasenack) wrote :
Robie Basak (racb) on 2017-11-22
tags: added: import-edge-case
Robie Basak (racb) on 2017-11-28
tags: added: import
Robie Basak (racb) wrote :

Also affects python3.4:

11/29/2017 07:45:39 - ERROR:stderr: fatal: tag 'importer/orphan/3.4.1-11' already exists

See if they need reimports.

On Nov 29, 2017 14:55, "Robie Basak" <email address hidden> wrote:

> Also affects python3.4:
>
> 11/29/2017 07:45:39 - ERROR:stderr: fatal: tag
> 'importer/orphan/3.4.1-11' already exists
>
> --
> You received this bug notification because you are a member of Ubuntu
> Server Dev import team, which is subscribed to usd-importer.
> https://bugs.launchpad.net/bugs/1733856
>
> Title:
> error: orphan tag already exists during import
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/usd-importer/+bug/1733856/+subscriptions
>

Nish Aravamudan (nacc) wrote :

Also I wonder if maybe we have a conflict between orphan applied and
unapplied tags. This would be resolved by my branch that gets rid of orphan
tags, but I need to think it over.

On Nov 29, 2017 16:36, "Nish Aravamudan" <email address hidden>
wrote:

> See if they need reimports.
>
> On Nov 29, 2017 14:55, "Robie Basak" <email address hidden> wrote:
>
>> Also affects python3.4:
>>
>> 11/29/2017 07:45:39 - ERROR:stderr: fatal: tag
>> 'importer/orphan/3.4.1-11' already exists
>>
>> --
>> You received this bug notification because you are a member of Ubuntu
>> Server Dev import team, which is subscribed to usd-importer.
>> https://bugs.launchpad.net/bugs/1733856
>>
>> Title:
>> error: orphan tag already exists during import
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/usd-importer/+bug/1733856/+subscriptions
>>
>

Nish Aravamudan (nacc) on 2017-12-04
Changed in usd-importer:
status: New → In Progress
assignee: nobody → Nish Aravamudan (nacc)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers